Skip to content

Delete user from shared agent

DELETE
/api/v1/gen_agents/share/{share_agent_id}

Remove agent sharing. Use ‘share_agent_id’ (the ‘id’ field) from GET /shared_agents/{agent_id} response.

share_agent_id
required
Share Agent Id
string

Successful Response

BooleanResponse

Simple response returning a single boolean success status.

object
success
required
Success

Success status of the operation

boolean

Bad Request

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

Not Found

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Internal Server Error

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string